> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chronosphere.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Install Core Agent on Linux (RHEL-based)

<Note>
  This feature isn't available to all Chronosphere Telemetry Pipeline users.
  For more information, contact [Chronosphere Support](/support).
</Note>

In Chronosphere Telemetry Pipeline, you can use [fleets](/ingest/pipeline/v2/fleets) to manage instances
of Core Agent. Use this guide to install Core Agent on RHEL-based Linux distributions.

## Supported environments

Core Agent supports the following RHEL-based distributions and architectures:

| Distribution                | Architectures   |
| --------------------------- | --------------- |
| Amazon Linux 2023           | x86-64          |
| Amazon Linux 2              | x86-64, arm64v8 |
| CentOS 9 Stream             | x86-64, arm64v8 |
| CentOS 8                    | x86-64, arm64v8 |
| CentOS 7                    | x86-64, arm64v8 |
| CentOS 6                    | x86-64          |
| Rocky Linux 10              | x86-64, arm64v8 |
| Rocky Linux 9               | x86-64, arm64v8 |
| Rocky Linux 8               | x86-64, arm64v8 |
| Alma Linux 8                | x86-64, arm64v8 |
| Red Hat Enterprise Linux 10 | x86-64, arm64v8 |
| Red Hat Enterprise Linux 9  | x86-64, arm64v8 |
| Red Hat Enterprise Linux 8  | x86-64, arm64v8 |
| Red Hat Enterprise Linux 7  | x86-64, arm64v8 |
| Red Hat Enterprise Linux 6  | x86-64          |

## Dependencies

For RHEL-based installations, Core Agent has the following general dependencies:

* libc
* libsasl
* libsystemd
* libyaml
* OpenSSL
* zlib

To retrieve a list of specific dependencies for your environment, run the following command:

```shell theme={null}
yum -q deplist PACKAGE
```

Replace *`PACKAGE`* with the name of the Core Agent package.

## Single line install

Chronosphere provides a basic installation script that's compatible with most Linux
environment. This script always installs the most recent version of Core Agent.

```shell theme={null}
curl -L https://github.com/calyptia/lts-notifications/releases/latest/download/install-package.sh| bash
```

However, for secure deployments, Chronosphere recommends following the full
instruction procedures for your Linux environment.

## Mirrors for old CentOS versions

Because CentOS 6, CentOS 7, and CentOS 8 have reached end-of-life, their
default yum repositories are unavailable. To install Core Agent on any of these
distributions, you must configure an appropriate mirror. For example:

```shell theme={null}
$ sed -i 's/mirrorlist/#mirrorlist/g' /etc/yum.repos.d/CentOS-* && \
  sed -i 's|#baseurl=http://mirror.centos.org|baseurl=http://vault.centos.org|g' /etc/yum.repos.d/CentOS-*
```

## Verify signatures

Core Agent packages are signed with `calyptia.key`. You can use rpm to verify these
signatures.

```shell theme={null}
rpm --import calyptia.key && \
rpm -K PACKAGE
```

Replace *`PACKAGE`* with the name of the Core Agent package.

## Configure yum

Chronosphere provides the `calyptia-fluent-bit` package through a yum repository.
To add the repository reference to your environment, add a new file in
`/etc/yum.repos.d/` with the following content:

```shell /DISTRO/ /VERSION/ theme={null}
[calyptia-fluent-bit]
name = Calyptia Fluent Bit
baseurl = https://calyptia-lts-release-standard.s3.amazonaws.com/linux/25.1.5/DISTRO-VERSION
gpgcheck=1
gpgkey=https://calyptia-lts-release-standard.s3.amazonaws.com/linux/25.1.5/calyptia.key
repo_gpgcheck=1
enabled=1
```

Replace *`DISTRO`* with either `amazonlinux` or `package-centos`, and replace
*`VERSION`* with the relevant version number.

<Note>
  As a security best practice, enable `gpgcheck` and `repo_gpgcheck`. Chronosphere
  signs all repository metadata and packages.
</Note>

## Install

After you've configured your repository, follow these steps.

1. Run the following command to install Core Agent:

   ```shell theme={null}
   sudo yum install calyptia-fluent-bit
   ```

2. Run the following command to instruct systemd to enable the Core Agent service:

   ```shell theme={null}
   sudo service calyptia-fluent-bit start
   ```

3. Perform a status check to confirm Core Agent is active. The status check
   should return output similar to the following:

   ```shell theme={null}
   ● calyptia-fluent-bit.service - Calyptia Fluent Bit
      Loaded: loaded (/usr/lib/systemd/system/calyptia-fluent-bit.service; enabled; vendor preset: disabled)
      Active: active (running) since Thu 2023-06-08 15:55:03 UTC; 9s ago
        Docs: https://docs.fluentbit.io/manual/
    Main PID: 16631 (calyptia-fluent)
      CGroup: /system.slice/calyptia-fluent-bit.service
              └─16631 /opt/calyptia-fluent-bit/bin/calyptia-fluent-bit -c //etc/calyptia-fluent-bit/calyptia-fluent-bit.conf
   ```

   The default configuration of Core Agent is to collect metrics of CPU usage
   and send those metrics to stdout. You can see this outgoing data in your
   `/var/log/messages` file.

## Support for `StartLimitIntervalSec` in RHEL 7

In Core Agent version 25.1.5 or later, the Core Agent systemd file doesn't
include the `StartLimitIntervalSec` configuration in RHEL 7 due to incompatibility
with systemd 219.

RHEL versions that use systemd 230 or later are unaffected by this change.
